readCcgHeader {affxparser} | R Documentation

## Reads an the header of an Affymetrix Command Console Generic (CCG) file

### Description

Reads an the header of an Affymetrix Command Console Generic (CCG) file.

### Usage

    readCcgHeader(pathname, verbose=0, .filter=list(fileHeader = TRUE, dataHeader = TRUE), ...)

### Arguments

`pathname` | The pathname of the CCG file.
`verbose` | An `integer` specifying the verbose level. If 0, the file is parsed quietly. The higher numbers, the more details.
`.filter` | A `list`.
`...` | Not used.

### Details

Note, the current implementation of this methods does not utilize the Affymetrix Fusion SDK library. Instead, it is implemented in R from the file format definition [1].

### Value

A named `list` structure consisting of ...

### Author(s)

Henrik Bengtsson (http://www.braju.com/R/)

### References

[1] Affymetrix Inc, Affymetrix GCOS 1.x compatible file formats, April, 2006. http://www.affymetrix.com/support/developer/

### See Also

`readCcg`().

[Package affxparser version 1.10.2 Index]